Get Customer Consent
Gets the status of a customerʼs consent to allow data collection by cookies and scripts while shopping on a storefront.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
customerId
The ID of the customer.
store_hash
Permanent ID of the BigCommerce store.
Response
The customer's consent settings.
allow
Allowed values:
deny
Allowed values:
updated_at
The date of which the customer consent was last updated.
NOTE
Currently, this field returns the time of the current API Call, not the time of last update. For PUT requests, this is typically accurate; however, it will not be accurate for GET requests.
Errors
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error